events{}
http {
  types {
    module js;
  }
  include       /etc/nginx/mime.types;

  server {
    listen		80;
    server_name	localhost;

    root        /usr/share/nginx/html/;

    location / {
      # First attempt to serve request as file, then
      # as directory, then redirect to index(angular) if no file found.
      try_files $uri $uri/ /index.html;
    }

    # redirect server error pages to the static page /50x.html
    #
    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
      root   /usr/share/nginx/html;
    }
  }
}
